## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-batchai

Name:           python-%{srcname}
Version:        7.0.0b1
Release:        %autorelease
Summary:        Microsoft Azure Batch AI Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel


%global _description %{expand:
Microsoft Azure Batch AI Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p0 -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 1:7.0.0b1-5
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:7.0.0b1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:7.0.0b1-3
- Move obsoletes into subpackage

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:7.0.0b1-2
- Fix changelog

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> 1:7.0.0b1-1
- Update to 7.0.0b1

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:2.0.0-3
- Remove python version macro

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:2.0.0-2
- Update changelog

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:2.0.0-1
- Add epoch number to 2.0.0 downgrade

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 2.0.0-1
- Revert "Update to 7.0.0b1"

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 7.0.0b1-1
- Update to 7.0.0b1

* Wed Jul 14 2021 Major Hayden <major@mhtx.net> 2.0.0-3
- Remove unneccessary __init__.py files to avoid file conflicts

* Wed Jul 07 2021 Major Hayden <major@mhtx.net> 2.0.0-2
- Remove custom wheel generator

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 2.0.0-1
- Initial import (#1971780)
